Name:           libgeotiff
Version:        1.7.1
Release:        1
Summary:        Open source library of GeoTIFF
License:        MIT
URL:            http://trac.osgeo.org/geotiff/
Source:         http://download.osgeo.org/geotiff/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++ libtiff-devel libjpeg-devel proj-devel >= 6.2.0 zlib-devel

Patch0001:      fix-geotifcp-usage-command-mismatch.patch

%description
This library is designed to permit the extraction and parsing of the "GeoTIFF" Key directories, as
well as definition and installation of GeoTIFF keys in new files.

%package        devel
Summary:        Development documnets for %{name}
Requires:       pkgconfig libtiff-devel
Requires:       %{name} = %{version}-%{release}

%description    devel
The packages provides developments documnets for %{name}.

%package        help
Summary:Help documents for %{name}

%description    help
Man pages and other help documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --prefix=%{_prefix} --includedir=%{_includedir}/%{name}/ \
           --enable-debug --disable-static --with-proj --with-jpeg --with-zip
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

%{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig/
%{__install} -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/
#clean up junks
%{__rm} -fv %{buildroot}%{_libdir}/lib*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_bindir}/*
%{_libdir}/%{name}.so.5*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files help
%doc ChangeLog README
%{_mandir}/man1/*.1*

%changelog
* Tue Sep 19 2023 xu_ping <707078654@qq.com> - 1.7.1-1
- Upgrade libgeotiff to 1.7.1

* Tue Jan 18 2022 yaoxin <yaoxin30@huawei.com> - 1.7.0-1
- Upgrade libgeotiff to 1.7.0

* Mon Sep 13 2021 lingsheng <lingsheng@huawei.com> - 1.4.0-16
- fix geotifcp usage command mismatch

* Fri Mar 6 2020 zhouyihang<zhouyihang1@huawei.com> - 1.4.0-15
- Pakcage init
